ompi/mca/rcache/rb/rcache_rb_tree.c File Reference.TH "ompi/mca/rcache/rb/rcache_rb_tree.c" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/rcache/rb/rcache_rb_tree.c \- Description of the Registration Cache framework. 
.SH SYNOPSIS
.br
.PP
\fC#include 'mca/mca.h'\fP
.br
\fC#include 'rcache_rb_tree.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "\fBOBJ_CLASS_INSTANCE\fP (\fBmca_rcache_rb_tree_item_t\fP, \fBopal_list_item_t\fP, NULL, NULL)"
.br
.ti -1c
.RI "int \fBmca_rcache_rb_tree_node_compare\fP (void *key1, void *key2)"
.br
.RI "\fIFunction for the red black tree to compare 2 keys. \fP"
.ti -1c
.RI "int \fBmca_rcache_rb_tree_init\fP (mca_rcache_rb_module_t *rcache)"
.br
.ti -1c
.RI "\fBmca_rcache_rb_tree_item_t\fP * \fBmca_rcache_rb_tree_find\fP (mca_rcache_rb_module_t *rcache, void *base)"
.br
.RI "\fIReturns the item in the rb tree. \fP"
.ti -1c
.RI "int \fBmca_rcache_rb_tree_insert\fP (mca_rcache_rb_module_t *rb_module, mca_mpool_base_registration_t *reg)"
.br
.ti -1c
.RI "int \fBmca_rcache_rb_tree_delete\fP (mca_rcache_rb_module_t *rb_module, mca_mpool_base_registration_t *reg)"
.br
.RI "\fIFunction to remove previously memory from the tree without freeing it. \fP"
.in -1c
.SH "Detailed Description"
.PP 
Description of the Registration Cache framework. 


.SH "Function Documentation"
.PP 
.SS "int mca_rcache_rb_tree_delete (mca_rcache_rb_module_t * rb_module, mca_mpool_base_registration_t * reg)"
.PP
Function to remove previously memory from the tree without freeing it. 
.PP
\fBParameters:\fP
.RS 4
\fIbase\fP pointer to the memory to free
.RE
.PP
\fBReturn values:\fP
.RS 4
\fIOMPI_SUCCESS\fP .br
\fIOMPI_ERR_BAD_PARAM\fP if the passed base pointer was invalid 
.RE
.PP

.SS "struct \fBmca_rcache_rb_tree_item_t\fP* mca_rcache_rb_tree_find (mca_rcache_rb_module_t * rcache, void * base)"
.PP
Returns the item in the rb tree. 
.PP
If so it returns an array of mpools the memory is registered with.
.PP
\fBParameters:\fP
.RS 4
\fIbase\fP pointer to the memory to lookup
.RE
.PP
\fBReturn values:\fP
.RS 4
\fINULL\fP if the memory is not in any mpool 
.br
\fIpointer\fP to an array of type mca_mpool_base_reg_mpool_t 
.RE
.PP

.SS "int mca_rcache_rb_tree_node_compare (void * key1, void * key2)"
.PP
Function for the red black tree to compare 2 keys. 
.PP
\fBParameters:\fP
.RS 4
\fIkey1\fP a pointer to the 1st key 
.br
\fIkey2\fP a pointer to the second key
.RE
.PP
\fBReturn values:\fP
.RS 4
\fI-1\fP if key1 is below key2 
.br
\fI1\fP if key 1 is above key2 
.br
\fI0\fP if the keys are the same 
.RE
.PP

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
